Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001799KdenliveBuild Systempublic2010-09-04 21:242010-09-14 23:01
Reportersunab 
Assigned ToGranjow 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Platformi386 and amd64OSUbuntu LinuxOS VersionMaverick, Lucid
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001799: latest svn ( rev 4833) fails to build
DescriptionUsing Soyuz (Launchpad automated build system for packages in a clean virtual machine), Kdenlive build blocks on that error on all architectures with all Ubuntu versions from Maverick (10.10) to Jaunty (9.04) :

In file included from /build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/kdenlive_automoc.cpp:4:
/build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/moc_waveformgenerator.cpp: In member function 'virtual int WaveformGenerator::qt_metacall(QMetaObject::Call, int, void**)':
/build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/moc_waveformgenerator.cpp:73: error: invalid use of incomplete type 'struct QImage'
/build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/../../../src/colorcorrection/waveformgenerator.h:15: error: forward declaration of 'struct QImage'
/build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/moc_waveformgenerator.cpp:73: error: initializing argument 1 of 'void WaveformGenerator::signalCalculationFinished(QImage, const uint&)'
In file included from /build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/kdenlive_automoc.cpp:4:
/build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/moc_waveformgenerator.cpp: In member function 'void WaveformGenerator::signalCalculationFinished(QImage, const uint&)':
/build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/moc_waveformgenerator.cpp:82: error: '_t1' has incomplete type
/build/buildd/kdenlive-0.7.7.1+svn20100904.r4833/build/src/cmake_bindir/../../../src/colorcorrection/waveformgenerator.h:15: error: forward declaration of 'struct QImage'
TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
(0005782)
sunab (developer)
2010-09-05 16:45

seem to have been corrected, rev 4845 builds fine.
(0005783)
sunab (developer)
2010-09-05 17:54

no more problems, probably solved by Granjow in his work on the waveform widget (rev 4842).

This bug can be closed. Thanks.

- Issue History
Date Modified Username Field Change
2010-09-04 21:24 sunab New Issue
2010-09-05 16:45 sunab Note Added: 0005782
2010-09-05 17:54 sunab Note Added: 0005783
2010-09-05 20:05 j-b-m Status new => resolved
2010-09-05 20:05 j-b-m Resolution open => fixed
2010-09-05 20:05 j-b-m Assigned To => Granjow
2010-09-05 20:06 j-b-m Fixed in Version => Recent git
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker